(function () {

return({
	version: 1,
	setup: {
		title: "List Computers",
		id: "com.sassafras.adhoclist.names",
		fields: [
			{
				id: "listfile",
				label: "List of Names:",
				type: "file",
				required: true
			}
		]
	},
	proceed: function (params) {
		var snlist = [];
		if (params.listfile) {
			params.listfile.forEach(function (line) {
				snlist.push(line);
			});

			var view = new KSView("computer");
			view.select({
				field: "name",
				match: snlist
			});

			var vp = new KSViewport("computer", "Target Computers");
			vp.select(view);
			vp.show();

		}
	}
});

})();
